<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>AJAX Solr</title>
  <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.24/themes/smoothness/jquery-ui.css">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
  <link rel="stylesheet" href="css/solr_web2.css">
  <!-- <link rel="stylesheet" href="css/solr_web.css"> -->
  <link rel="stylesheet" href="css/RangeWidget.css">

</head>
<body>

  <div id="wrap">
    <div id="header">
      <h1>AJAX Solr EGA Demonstration</h1>
    </div>

    <div class="right">
      <div id="result">
        <div class="navigation">
            <div id="pager-header"></div></br>
            <ul class="pager-style" id="pager"></ul>
        </div>
        <div id="docs"></div>
        <div class="navigation">
          <br><ul class="pager-style" id="pager2"></ul>
        </div>
      </div>
    </div>

    <div class="left">
      <h2 > <strong> Current Selection</strong> </h2>
      <ul id="selection"></ul>

      <h2> <strong> Search text or facet fields</strong> </h2></br>
      <ul id="search">
	<input type="text" id="query" name="query" autocomplete="off">
      </ul>

      <section class="facet-list">

        <div>
          <h2> <strong> Type </strong> </h2>
          <div class="tagcloud" id="type"></div>
        </div>

        <div class="repository-class">
          <h2>  <strong>Repository </strong> </h2>
          <div class="tagcloud" id="repository"></div>
        </div>

        <div class="study_type-class">
          <h2> <strong>Study type </strong> </h2>
          <div class="tagcloud" id="study_type"></div>
        </div>

        <div class="dataset_type-class">
          <h2> <strong> Dataset type</strong> </h2>
          <div class="tagcloud" id="dataset_type"></div>
        </div>

        <div class="dataset_technology-class">
          <h2> <strong> Dataset technology </strong>  </h2>
          <div class="tagcloud" id="dataset_technology"></div>
        </div>

        <div class="phenotypes-class">
          <h2> <strong>Phenotypes  </strong> </h2>
          <div class="tagcloud" id="phenotypes"></div>
        </div>

        <div class="file_formats-class">
          <h2> <strong>  File formats </strong></h2>
          <div class="tagcloud" id="file_formats"></div>
        </div>
        
        <div class="is_in_beacon-class">
          <h2> <strong>Beacon </strong>  </h2>
          <div class="tagcloud" id="is_in_beacon"></div>
        </div>

        <div class="DUO-class">
          <h2> <strong>DUOs </strong> </h2>
          <div class="tagcloud" id="DUO"></div>
        </div>
<!-- If dataset is not selected, hide the samples -->
        <div class="dataset_type-class"> 
          <h2> <strong>Samples </strong> </h2>
          <div class="tagcloud" id="samples"></div>
        </div>

        <div class="domain-class">
          <h2> <strong> Domain</strong> </h2>
          <div class="tagcloud" id="domain"></div>
        </div>

      </section>
      <div class="clear"></div>
    </div>
    <div class="clear"></div>
  </div>

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.24/jquery-ui.min.js"></script>
  <script src="core/Core.js"></script>
  <script src="core/AbstractManager.js"></script>
  <script src="managers/Manager.jquery.js"></script>
  <script src="core/Parameter.js"></script>
  <script src="core/ParameterStore.js"></script>
  <script src="core/AbstractWidget.js"></script>
  <script src="widgets/jquery/PagerWidget.js"></script>
  <script src="core/AbstractFacetWidget.js"></script>
  <script src="widgets/TagcloudWidget.js"></script>
  <script src="widgets/CurrentSearchWidget.js"></script>
  <script src="core/AbstractTextWidget.js"></script>
  <script src="widgets/AutocompleteWidget.js"></script>
  <!-- Extensions -->
  <script src="widgets/RangeWidget.js"></script>
  <script src="widgets/ResultWidget.js"></script>
  <script src="widgets/MultiSelectWidget.js"></script>

  <!-- reuters -->
  <script src="js/solr_web.js"></script>

</body>
</html>
